Create Tax Zones
Create one or more tax zones.
Note
You cannot create a default tax zone.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects a list of objects.
name
The human-readable name for this tax zone. The name appears in the store control panel.
enabled
Indicates whether a tax zone is enabled. Tax operations are only for enabled zones.
price_display_settings
Settings that describe how a store displays prices to shoppers matched with this tax zone.
shopper_target_settings
Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper.
Response
OK
data
meta
Response metadata.